Subject: Re: [FEATURE REQUEST] git-svn format-patch

From: Jean-Luc Herren <[email-masked]>
Date: Tue, 15 Jan 2008 21:14:58 +0100

Chris Ortman wrote:
> Something that would really benefit the folks who use git to manage a
> subversion repository (such as myself) would be a special format-patch
> command for git-svn that creates a tortoise svn compatible diff file.

Isn't it that TortoiseSVN is simply being too strict about the
diff format it accepts?  Since even GNU patch reads and applies
them fine (I didn't test it thoroughly though), I would assume git
diffs follow some sort of standard (couldn't find it though) for
the unified diff format, or at least was designed to not break
patch.  So in the long term, I think this is rather or at least
also something to be addressed in TortoiseSVN.

jlh